package geniusweb.protocol.session;

import java.util.Arrays;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

import geniusweb.references.PartyWithParameters;
import geniusweb.references.PartyWithProfile;
import geniusweb.references.ProfileRef;

/**
 * Team that contains just 1 party.
 */
public class OnePartyTeam extends PartyWithProfile
		implements TeamOfPartiesAndProfiles {

	@JsonCreator
	public OnePartyTeam(@JsonProperty("party") PartyWithParameters party,
			@JsonProperty("profile") ProfileRef profile) {
		super(party, profile);
	}

	@Override
	public List<PartyWithProfile> getAllParties() {
		return Arrays.asList(this);
	}

}
